# Class MiscDoc

java.lang.Object
uk.ac.starlink.ttools.build.MiscDoc

public class MiscDoc extends Object
Write some miscallaneous auto-documentation files for ingestion in the user document.

Invoke this from the class's `main` method.

Since:
  15 Apr 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`MiscDoc()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Writes miscellaneous documentation files to the current directory.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MiscDoc

public MiscDoc()

## Method Details

### main

public static void main(String[] args) throws IOException, TransformerException
Writes miscellaneous documentation files to the current directory.

Throws:
  `IOException`
  `TransformerException`